using System.ComponentModel;

namespace Hotline.Share.Enums.Push;

/// <summary>
/// 消息推送业务
/// </summary>
public enum EPushBusiness
{
    /// <summary>
    /// 工单派单
    /// </summary>
    [Description("工单派单")]
    OrderSend = 0,

    /// <summary>
    /// 工单受理
    /// </summary>
    [Description("工单受理")]
    OrderAccept = 1,

    /// <summary>
    /// 工单超期
    /// </summary>
    [Description("工单超期")]
    OrderExpire = 2,

    /// <summary>
    /// 工单催办
    /// </summary>
    [Description("工单催办")]
    OrderUrge = 3,

    /// <summary>
    /// 工单退回
    /// </summary>
    [Description("工单退回")]
    OrderSendBack = 4,

    /// <summary>
    /// 验证码
    /// </summary>
    [Description("验证码")]
    MsgCode = 5,

    /// <summary>
    /// 工单督办
    /// </summary>
    [Description("工单督办")]
    OrderSupervise = 6,

    /// <summary>
    /// 批量短信
    /// </summary>
    [Description("批量短信")]
    BatchSms = 7,

    /// <summary>
    /// 回访短信
    /// </summary>
    [Description("回访短信")]
    VisitSms = 8,

    /// <summary>
    /// 撤销短信
    /// </summary>
    [Description("撤销短信")]
    OrderRevocationSms = 9,

    /// <summary>
    /// 自动延期
    /// </summary>
    [Description("自动延期")]
    AutomaticDelay = 10,

    /// <summary>
    /// 手动发送短信
    /// </summary>
    [Description("手动发送短信")]
    ManualSms = 11,

    /// <summary>
    /// 查询短信
    /// </summary>
    [Description("查询短信")]
    SearchSms = 12,

    [Description("随手拍短信")]
    Snapshot = 13,

    [Description("甄别完成")]
    ScreenEnd=14,

    [Description("不满意甄别短信")]
    DissatisfiedScreen = 15,
}